> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reseller available countries

> Use the Bright Data Reseller API to get reseller available countries. GET /api/{partner}/countries returns a 200 OK JSON response for the requested action.



## OpenAPI

````yaml api-reference/openapi-reseller GET /api/{PARTNER_NAME}/countries
openapi: 3.0.1
info:
  title: Bright Data API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /api/{PARTNER_NAME}/countries:
    get:
      parameters:
        - in: path
          name: PARTNER_NAME
          description: Name of the proxy zone which will service your request.
          required: true
          schema:
            type: string
        - in: query
          name: type
          description: >-
            required signup type
            (`residential`|`shared_dc`|`dedicated_dc`|`shared_isp`|`smart_resi`)
          required: true
          schema:
            type: string
        - in: query
          name: more_than
          description: minimum amount of free ips on the type
          required: false
          schema:
            type: number
            default: 1000
        - in: query
          name: mode
          description: >-
            Flag to change output format. If set to `raw`, the API will return
            the exact amount of ips per country and `more_than` will be ignored.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                oneOf:
                  - title: mode!=raw
                    type: array
                    example:
                      - ae
                      - ar
                      - at
                      - au
                    items:
                      type: string
                  - title: mode=raw
                    type: object
                    example:
                      ae: 1
                      ar: 2
                      at: 3
                      au: 4
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your Bright Data API Key as a Bearer token in the Authorization
        header.


        **How to authenticate:**

        1. Obtain your API Key from the Bright Data account settings at
        https://brightdata.com/cp/setting/users

        2. Include the API Key in the Authorization header of your requests

        3. Format: `Authorization: Bearer YOUR_API_KEY`


        **Example:**

        ```

        Authorization: Bearer
        b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

        ```


        Learn how to get your Bright Data API key:
        https://docs.brightdata.com/api-reference/authentication
      bearerFormat: API Key

````